Skip to main content
PATCH
/
v1
/
wms
/
{warehouseId}
/
picklists
/
{picklistId}
/
positions
/
{picklistPositionId}
/
changeReservation
Change Reservation
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v1/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/changeReservation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "StorageLocationList": [
    123
  ]
}
'
{
  "Error": 0,
  "UpdatedPositions": [
    {
      "Id": 123,
      "WarehouseId": 123,
      "PicklistId": 123,
      "StorageLocationId": 123,
      "ItemId": 123,
      "Quantity": 123,
      "Status": 10,
      "Priority": 123,
      "SalesOrderLineItemId": 123,
      "CreatedAt": "2023-11-07T05:31:56Z",
      "SalesOrderId": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

warehouseId
integer<int32>
required

The id of the wms warehouse where the pick list should be created.

picklistId
integer<int32>
required

The id of the pick list.

picklistPositionId
integer<int32>
required

The id of the pick list position.

Body

application/json

The relevant information to change a pick list position.

Model Class: UpdateChangeReservation

StorageLocationList
integer<int32>[]

Id of the storage location from where the pick should happen.

Response

Returns the updated pick list positions.

Model Class: ChangeReservation

Error
enum<integer>
required

todo

Available options:
0,
1,
2,
3
UpdatedPositions
object[]
required

todo